Loading...
Searching...
No Matches
protocol-native.h File Reference
Extensions » Native Protocol

`pipewire/extensions/protocol-native.h` More...

Go to the source code of this file.

## Data Structures

struct | pw_protocol_native_message
struct | pw_protocol_native_demarshal
struct | pw_protocol_native_ext
| pw_protocol_native_ext methods More...

## Macros

#define | PW_TYPE_INFO_PROTOCOL_Native PW_TYPE_INFO_PROTOCOL_BASE "Native"
#define | PW_VERSION_PROTOCOL_NATIVE_EXT 0
#define | pw_protocol_native_begin_proxy(p, ...) pw_protocol_ext(pw_proxy_get_protocol(p),struct pw_protocol_native_ext,begin_proxy,p,__VA_ARGS__)
#define | pw_protocol_native_add_proxy_fd(p, ...) pw_protocol_ext(pw_proxy_get_protocol(p),struct pw_protocol_native_ext,add_proxy_fd,p,__VA_ARGS__)
#define | pw_protocol_native_get_proxy_fd(p, ...) pw_protocol_ext(pw_proxy_get_protocol(p),struct pw_protocol_native_ext,get_proxy_fd,p,__VA_ARGS__)
#define | pw_protocol_native_end_proxy(p, ...) pw_protocol_ext(pw_proxy_get_protocol(p),struct pw_protocol_native_ext,end_proxy,p,__VA_ARGS__)
#define | pw_protocol_native_begin_resource(r, ...) pw_protocol_ext(pw_resource_get_protocol(r),struct pw_protocol_native_ext,begin_resource,r,__VA_ARGS__)
#define | pw_protocol_native_add_resource_fd(r, ...) pw_protocol_ext(pw_resource_get_protocol(r),struct pw_protocol_native_ext,add_resource_fd,r,__VA_ARGS__)
#define | pw_protocol_native_get_resource_fd(r, ...) pw_protocol_ext(pw_resource_get_protocol(r),struct pw_protocol_native_ext,get_resource_fd,r,__VA_ARGS__)
#define | pw_protocol_native_end_resource(r, ...) pw_protocol_ext(pw_resource_get_protocol(r),struct pw_protocol_native_ext,end_resource,r,__VA_ARGS__)

## Detailed Description

`pipewire/extensions/protocol-native.h`